# device-server.yaml template runs this text through template engine
---
{{ $all_instances := .Values.deviceServers.processor.instances }}
name: "proc-{{.Release.Name}}"
function: ska-low-cbf-processor
domain: ska-low-cbf-proc
command: "/app/processor-device.sh"
server:
  name: "LowCbfProcessor"
  instances:
  {{- range $all_instances}}
    - name: {{ . | quote}}
      classes:
        - name: "LowCbfProcessor"
          devices:
            - name: "low-cbf/processor/0.0.{{ . }}"
              # Properties will be site specific - no defaults here
              # properties:
              # - name: "property_name"
              #   values:
              #   - "property_value"
  {{- end}}
# Volume mounts will be site specific - any default would be incorrect
# volume:
#   name: test-data
#   existingClaimName: perentie-test-data
#   mountPath: /test-data-x
#   readOnly: true

depends_on:
  - device: sys/database/2
image:
  registry: "{{.Values.image.registry}}"
  image: "{{.Values.image.image}}"
  tag: "{{.Values.image.tag | default .Chart.AppVersion}}"
  pullPolicy: "{{.Values.image.pullPolicy}}"

# Env vars here will be present in all processor devices & can't be overridden
# or removed. Only define them here if they are permanent.
# Additional env vars can be defined in values.yaml "global" key
# ( see 'coalesce' logic in SKA template) Those env vars can be overridden
environment_variables:
  - name: UNUSED_ENV_NAME
    value: "unused_value"
